Good Afternoon. Let me first read and see what are the requirements that needed. 
-- In any case, whenever you fill a bit confusing, try to follow these steps:
1. Take a notebook and pen, Do brainstorming.
2. You should try to divide task into different parts so in our case classes.
3. Inside of class use function(methods), so it will avoid to boilerplate code.
See my github repo, you will find proper examples that can help you. Try to understand them.
Whenever you want, you can find me here, or just text me on Slack.